BIT-redash-2021-43777

See a problem?
Import Source
https://github.com/bitnami/vulndb/tree/main/data/redash/BIT-redash-2021-43777.json
JSON Data
https://api.osv.dev/v1/vulns/BIT-redash-2021-43777
Aliases
Published
2024-03-06T11:03:21.259Z
Modified
2024-05-23T01:28:45.530403Z
Summary
[none]
Details

Redash is a package for data visualization and sharing. In Redash version 10.0 and prior, the implementation of Google Login (via OAuth) incorrectly uses the state parameter to pass the next URL to redirect the user to after login. The state parameter should be used for a Cross-Site Request Forgery (CSRF) token, not a static and easily predicted value. This vulnerability does not affect users who do not use Google Login for their instance of Redash. A patch in the master and release/10.x.x branches addresses this by replacing Flask-Oauthlib with Authlib which automatically provides and validates a CSRF token for the state variable. The new implementation stores the next URL on the user session object. As a workaround, one may disable Google Login to mitigate the vulnerability.

References

Affected packages

Bitnami / redash

Package

Name
redash
Purl
pkg:bitnami/redash

Severity

  • 6.1 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
10.0.0